Bug 842280 - posix_spawn() invokes sh when it should not
posix_spawn() invokes sh when it should not
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Patsy Franklin
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 06:51 EDT by Michal Hlavinka
Modified: 2016-11-24 10:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-05 23:38:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (2.53 KB, text/plain)
2012-07-23 06:51 EDT, Michal Hlavinka
no flags Details
Potential fix (8.50 KB, patch)
2012-08-06 15:06 EDT, Jeff Law
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 13134 None None None Never

  None (edit)
Description Michal Hlavinka 2012-07-23 06:51:40 EDT
Created attachment 599753 [details]
reproducer

Description of problem:
posix_spawn() executes sh when it can't execute it's argument. This breaks ksh build time tests

Version-Release number of selected component (if applicable):
glibc-2.12-1.84.el6

How reproducible:
always

Steps to Reproduce:
1. gcc -o repr reproducer.c
2. ./repr
3.
  
Actual results:
"ENOEXEC invokes sh"

Expected results:
"ENOEXEC produces exist status 127 => GOOD"

Additional info:
It works in Fedora
Comment 3 Jeff Law 2012-08-06 15:06:42 EDT
Created attachment 602562 [details]
Potential fix
Comment 5 Jeff Law 2012-09-05 23:38:12 EDT
Sorry, but after further technical review, this bug is being closed as WONTFIX.

The fundamental problem is fixing this issue would require an ABI change in glibc.  Effectively we'd have to export a glibc-2.15 ABI, which is not a change suitable for RHEL 6 which utilizes glibc-2.12.  For technical reasons it is not possible to introduce a glibc-2.12.1 ABI.

FWIW this will work correctly in RHEL 7 which uses glibc-2.16.

Note You need to log in before you can comment on or make changes to this bug.